# rust-simplelog.spec
# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate simplelog

Name:           rust-%{crate}
Version:        0.12.0
Release:        1%{?dist}.1
Summary:        Simple and easy-to-use logging facility for Rust's log crate

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/simplelog
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21
BuildRequires:  (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0~)
BuildRequires:  (crate(log/std) >= 0.4.0 with crate(log/std) < 0.5.0~)
BuildRequires:  (crate(termcolor/default) >= 1.1.0 with crate(termcolor/default) < 1.2.0~)
BuildRequires:  (crate(time/default) >= 0.3.7 with crate(time/default) < 0.4.0~)
BuildRequires:  (crate(time/formatting) >= 0.3.7 with crate(time/formatting) < 0.4.0~)
BuildRequires:  (crate(time/local-offset) >= 0.3.7 with crate(time/local-offset) < 0.4.0~)
BuildRequires:  (crate(time/macros) >= 0.3.7 with crate(time/macros) < 0.4.0~)

%global _description %{expand:
Simple and easy-to-use logging facility for Rust's log crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.APACHE2
%license %{crate_instdir}/LICENSE.MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansi_term-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansi_term-devel %{_description}

This package contains library source intended for building other packages which
use the "ansi_term" feature of the "%{crate}" crate.

%files       -n %{name}+ansi_term-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local-offset-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local-offset-devel %{_description}

This package contains library source intended for building other packages which
use the "local-offset" feature of the "%{crate}" crate.

%files       -n %{name}+local-offset-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+paris-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+paris-devel %{_description}

This package contains library source intended for building other packages which
use the "paris" feature of the "%{crate}" crate.

%files       -n %{name}+paris-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termcolor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termcolor-devel %{_description}

This package contains library source intended for building other packages which
use the "termcolor" feature of the "%{crate}" crate.

%files       -n %{name}+termcolor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test-devel %{_description}

This package contains library source intended for building other packages which
use the "test" feature of the "%{crate}" crate.

%files       -n %{name}+test-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu May 12 2022 Oleg Girko <ol@infoserver.lv> - 0.12.0-1
- Update to 0.12.0
* Mon Feb  7 2022 Oleg Girko <ol@infoserver.lv> - 0.11.2-1
- Update to 0.11.2
- Enable tests
* Thu Jul 15 2021 Oleg Girko <ol@infoserver.lv> - 0.10.0-1
- Initial package
